Page MenuHomePhabricator

Replace {{NUMBEROFPAGES}} by {{NUMBEROFARTICLES}} on `timeless-search-placeholder`, the search box text
Closed, ResolvedPublic

Description

On frwiki, an user has remarks about "Search approximately {{NUMBEROFPAGES}} pages" that is used on the header, in the search box.

On the French Wikipdia's welcome page it's written {{NUMBEROFARTICLES}}, not {{NUMBEROFPAGES}}. Having 9M somewhere and 1M elsewhere can be problematic for the user. We think that giving only articles for the reader seems logical : he'll be able to do a search in NS:0 as long as he don't use a prefix such as User:.


Context for Google-Code-in-2017 participant:
Timeless is a new skin, a new appearance for Mediawiki websites. This task is about the edit of a message formally known System message, Localization or simply Translation.
You'll need to download the git repo from gerrit, make a path and upload it for review. In this task, you simply have to edit a message (see this line from the github mirror [don't purpose PR here]).

Event Timeline

Framawiki updated the task description. (Show Details)Sep 17 2017, 8:55 PM

Note that according to our local discussion, I've updated translatewiki's French string.

Izno added a subscriber: Izno.EditedNov 24 2017, 4:07 PM

Since the default search is for content space (not necessarily articles), I personally agree that it should be NUMBEROFCONTENTPAGES (or whatever the magic word is) rather than NUMBEROFPAGES.

is what we're talking about.

Framawiki added a subscriber: Isarra.EditedNov 29 2017, 7:38 PM

The good syntax is {{NUMBEROFARTICLES}}.

@Isarra do you agree with this change ? If yes, let's let Google-Code-in-2017 participants do the patch :)
https://codein.withgoogle.com/dashboard/tasks/5362439128350720/

Framawiki updated the task description. (Show Details)Nov 29 2017, 7:45 PM
Framawiki renamed this task from Review about `timeless-search-placeholder`, the search box text to Replace {{NUMBEROFPAGES}} by {{NUMBEROFARTICLES}} on `timeless-search-placeholder`, the search box text.Nov 29 2017, 7:50 PM
Framawiki updated the task description. (Show Details)

I mean, I kind of want to replace the entire text with something... shorter and less silly? But in the meantime, that is totally reasonable. Or stuff.

eflyjason added a subscriber: eflyjason.EditedDec 7 2017, 9:30 AM

If the number is already this exact, do we really need the word "approximately"? :P

TheDJ added a subscriber: TheDJ.Dec 7 2017, 9:32 AM

approximately does seem superflous to me......

Change 395956 had a related patch set uploaded (by Eflyjason; owner: Eflyjason):
[mediawiki/skins/Timeless@master] Timeless theme - Replace {{NUMBEROFPAGES}} by {{NUMBEROFARTICLES}} on timeless-search-placeholder, the search box text

https://gerrit.wikimedia.org/r/395956

Izno added a comment.Dec 7 2017, 12:08 PM

If the number is already this exact, do we really need the word "approximately"? :P

Caching?

Izno added a comment.Dec 7 2017, 12:10 PM

Change 395956 had a related patch set uploaded (by Eflyjason; owner: Eflyjason):
[mediawiki/skins/Timeless@master] Timeless theme - Replace {{NUMBEROFPAGES}} by {{NUMBEROFARTICLES}} on timeless-search-placeholder, the search box text

https://gerrit.wikimedia.org/r/395956

Not all wikis have articles as their main space, and some wikis have multiple namespaces counted in NUMBEROFARTICLES. Should go back to "pages".

Change 395956 had a related patch set uploaded (by Eflyjason; owner: Eflyjason):
[mediawiki/skins/Timeless@master] Timeless theme - Replace {{NUMBEROFPAGES}} by {{NUMBEROFARTICLES}} on timeless-search-placeholder, the search box text

https://gerrit.wikimedia.org/r/395956

Not all wikis have articles as their main space, and some wikis have multiple namespaces counted in NUMBEROFARTICLES. Should go back to "pages".

Done :)

If the number is already this exact, do we really need the word "approximately"? :P

Caching?

Many pages, such as the home page, present "xxx articles". I am to delete this word.

Izno added a comment.Dec 7 2017, 6:29 PM

If the number is already this exact, do we really need the word "approximately"? :P

Caching?

Many pages, such as the home page, present "xxx articles". I am to delete this word.

You're not looking at "xxx articles" on every page in that case.

Isarra added a comment.Dec 7 2017, 6:36 PM

The 'approximately' was a joke. Because it was exact... and generally, exactly wrong.

Really we should replace the {{THING}} with a $1 that is actually calculated to be a real approximate (rounded) number, at which point the 'approximately' should be inferable anyway...

The 'approximately' was a joke. Because it was exact... and generally, exactly wrong.

Really we should replace the {{THING}} with a $1 that is actually calculated to be a real approximate (rounded) number, at which point the 'approximately' should be inferable anyway...

Ok, I've filled T182345: Use a $1 in the search box text to round the stat. We're close to closing this task, it would be nice if we could finish this one.

Change 395956 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Replace {{NUMBEROFPAGES}} by {{NUMBEROFARTICLES}} in the search box text

https://gerrit.wikimedia.org/r/395956

Framawiki closed this task as Resolved.Dec 9 2017, 11:01 AM
Framawiki assigned this task to eflyjason.